Class PagDatos
  Private Shared PersonaProperty As DependencyProperty

  Shared Sub New()
    Dim metadata As New FrameworkPropertyMetadata()
    metadata.Journal = True
    PersonaProperty = DependencyProperty.Register(
      "PersonaProperty", GetType(Object),
      GetType(PagDatos), metadata, Nothing)
  End Sub

  Public Property Persona() As Object
    Get
      Return GetValue(PersonaProperty)
    End Get
    Set(value As Object)
      SetValue(PersonaProperty, value)
    End Set
  End Property

  Public Sub New()
    System.Diagnostics.Debug.WriteLine("PagDatos construida")
    InitializeComponent()
  End Sub

  Private Sub Page_Loaded(sender As Object, e As RoutedEventArgs)
    Me.DataContext = Persona
    System.Diagnostics.Debug.WriteLine("PagDatos cargada")
  End Sub

  Private Sub Page_Unloaded(sender As Object, e As RoutedEventArgs)
    System.Diagnostics.Debug.WriteLine("PagDatos descargada")
  End Sub
End Class
